Subject: Re: bug#20896: patch to add chained indentation

From: Dmitry Gutov <[email-masked]>
Date: Fri, 13 Jan 2017 04:09:18 +0300

On 12.01.2017 07:01, Tom Tromey wrote:

> I'll redo the test this way.

Thanks.

> Dmitry> As for review: js--skip-term-backward seems to be doing something
> Dmitry> similar to the loop in js--multi-line-declaration-indentation.
> Dmitry> Maybe a extraction and unification is in order.
>
> I don't really see it.  Could you explain more?

The `while' loop jumps to the beginning of the current "assignment 
expression".

`js--skip-terms-backward' is similar because it skips to the beginning 
of the call chain. It's more narrow, though (the other function also 
jumps over binary operators).

Anyway, I'm not so sure there's much value in unifying the 
implementations anymore.